AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get a bulk tokenized charge status

Get status of bulk Tokenized Charges

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/bulk-tokenized-charges/{bulk_id}

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

bulk_id int 32 required
This is the id returned in the bulk charge response

FILL IN ALL REQUIRED FIELDS

status string

message string

data array of objects

FILL IN ALL REQUIRED FIELDS

id integer

tx_ref string

flw_ref string

device_fingerprint string

amount integer

currency string

charged_amount integer

app_fee integer

merchant_fee integer

processor_response string

auth_model string

ip string

narration string

status string

payment_type string

created_at string

customer_name string

customer_email string

account_id integer

batch_id integer

amount_settled integer

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys